petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateTwoSidedProcessSF

Create an SF which just has process connectivity

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateTwoSidedProcessSF(DM dm, PetscSF sfPoint, PetscSection rootRankSection, IS rootRanks, PetscSection leafRankSection, IS leafRanks, IS *processRanks, PetscSF *sfProcess)

Collective on DM

### Input Parameters

| dm | - The DM
| sfPoint | - The PetscSF which encodes point connectivity

### Output Parameters

| processRanks | - A list of process neighbors, or NULL
| sfProcess | - An SF encoding the two-sided process connectivity, or NULL

### See Also

PetscSFCreate(), DMPlexCreateProcessSF()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages